API reference
Profiles
Saved browser profiles (cookies and storage).
GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
OK
application/json- response
profiles*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/profiles'Example Response
{ "profiles": [ { "id": "string", "name": "string", "sizeBytes": 0, "createdAt": 0, "updatedAt": 0, "source": "string", "engine": "chromium" } ]}POST
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
name?stringLength
1 <= length <= 100Default
"imported"body*fileapplication/octet-streamFormat
binaryOK
application/json- response
id*stringname*stringsizeBytes*integerRange
0 <= value <= 9007199254740991createdAt*numberupdatedAt*numbersource*stringengine*stringValue in
"chromium""firefox""webkit"curl -X POST 'https://api.us.webagent.lookover.ai/v1/profiles' \ -H 'Content-Type: application/octet-stream' \ -d 'string'Example Response
{ "id": "string", "name": "string", "sizeBytes": 0, "createdAt": 0, "updatedAt": 0, "source": "string", "engine": "chromium"}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^prof_(us|in)_[0-9a-z]{24}$OK
application/json- response
id*stringname*stringsizeBytes*integerRange
0 <= value <= 9007199254740991createdAt*numberupdatedAt*numbersource*stringengine*stringValue in
"chromium""firefox""webkit"curl -X GET 'https://api.us.webagent.lookover.ai/v1/profiles/string'Example Response
{ "id": "string", "name": "string", "sizeBytes": 0, "createdAt": 0, "updatedAt": 0, "source": "string", "engine": "chromium"}PATCH
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^prof_(us|in)_[0-9a-z]{24}$application/json- body
name*stringLength
1 <= length <= 100OK
application/json- response
id*stringname*stringsizeBytes*integerRange
0 <= value <= 9007199254740991createdAt*numberupdatedAt*numbersource*stringengine*stringValue in
"chromium""firefox""webkit"curl -X PATCH 'https://api.us.webagent.lookover.ai/v1/profiles/string' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "string", "name": "string", "sizeBytes": 0, "createdAt": 0, "updatedAt": 0, "source": "string", "engine": "chromium"}DELETE
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^prof_(us|in)_[0-9a-z]{24}$OK
application/json- response
deleted*booleancurl -X DELETE 'https://api.us.webagent.lookover.ai/v1/profiles/string'Example Response
{ "deleted": true}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^prof_(us|in)_[0-9a-z]{24}$The bytes
response?fileapplication/octet-streamFormat
binarycurl -X GET 'https://api.us.webagent.lookover.ai/v1/profiles/string/archive'Example Response
"string"